aboutsummaryrefslogtreecommitdiffstats
path: root/testing/cacti/APKBUILD
diff options
context:
space:
mode:
authorJeff Bilyk <jbilyk@gmail.com>2010-09-01 17:34:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-09-02 12:38:21 +0000
commit54e142accf257377fb16157b960e10cb1187056b (patch)
tree56bd2e9dadad06812e016de3070e1a9ffd77ad34 /testing/cacti/APKBUILD
parent0c9384fd13087147e6055d9d9d90796805645343 (diff)
downloadaports-54e142accf257377fb16157b960e10cb1187056b.tar.gz
aports-54e142accf257377fb16157b960e10cb1187056b.tar.bz2
aports-54e142accf257377fb16157b960e10cb1187056b.tar.xz
testing/cacti: new aport
New aport: cacti - network monitoring app
Diffstat (limited to 'testing/cacti/APKBUILD')
-rw-r--r--testing/cacti/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/testing/cacti/APKBUILD b/testing/cacti/APKBUILD
new file mode 100644
index 0000000000..e7452bf63e
--- /dev/null
+++ b/testing/cacti/APKBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Jeff Bilyk <jbilyk@gmail.com>
+pkgname=cacti
+pkgver=0.8.7g
+pkgrel=0
+pkgdesc="Network monitoring tool based on RRDtool"
+url="http://www.cacti.net"
+license="GPL"
+depends="mysql php php-mysql php-snmp rrdtool net-snmp php-sockets php-xml php-gd"
+makedepends=
+source="http://www.cacti.net/downloads/$pkgname-$pkgver.tar.gz
+http://www.cacti.net/downloads/patches/$pkgver/data_source_deactivate.patch
+http://www.cacti.net/downloads/patches/$pkgver/graph_list_view.patch
+http://www.cacti.net/downloads/patches/$pkgver/html_output.patch
+http://www.cacti.net/downloads/patches/$pkgver/ldap_group_authenication.patch
+http://www.cacti.net/downloads/patches/$pkgver/script_server_command_line_parse.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ for i in ../*.patch; do
+ msg "Applying $i"
+ if ! patch -p1 -i $i; then
+ error "$i failed"
+ return 1
+ fi
+ done
+}
+
+build() {
+ cd "$_builddir"
+ return 0
+}
+
+package() {
+ mkdir -p "$pkgdir"/usr/share/webapps/cacti
+ mv "$srcdir"/$pkgname-$pkgver/* "$pkgdir"/usr/share/webapps/cacti/ || return 1
+
+}
+md5sums="268421cb1a58d3444f7ecbddb4c4b016 cacti-0.8.7g.tar.gz
+d39570fd2e2b5c7f9aa47000b8a28c42 data_source_deactivate.patch
+6c2f7db4af48e59323c5e8b25a34866b graph_list_view.patch
+134d120930e4f2211f017f5b71d9280a html_output.patch
+5bb62cc6fde7c99f0c29cab869412f73 ldap_group_authenication.patch
+e14edee082d1250e3946c3caa58a40b4 script_server_command_line_parse.patch"